• gmod_src: Should fix the edict errors
    16 replies, posted
[B]Revision 730[/B] [INDENT]Should fix the edict errors Fixed weird error when creating entities[/INDENT][B]Changed Files:[/B] [LIST] [*]trunk/src_garrysmod/game/server/mapentities.cpp [*]trunk/src_garrysmod/game/shared/movevars_shared.cpp [*]trunk/src_garrysmod/garrysmod/Library/gl_ents.cpp [*]trunk/src_garrysmod/garrysmod/Library/gl_game.cpp [*]trunk/src_garrysmod/garrysmod/gmod_lua.cpp [*]trunk/src_garrysmod/garrysmod/gmod_version.h [/LIST] Committed By [B]Garry Newman[/B]
Does this mean we can have over 2k entities? =O
[QUOTE=maurits150;25962845]Does this mean we can have over 2k entities? =O[/QUOTE] Wasn't it 2048 ?
I think this is regarding some new bug the we don't know about, and he just fixed it before it ever became a problem for us. I seriously doubt that he increased the Entity limit.
[QUOTE=maurits150;25962845]Does this mean we can have over 2k entities? =O[/QUOTE] No, it means that it won't create any more than this, so we won't get the out of edict's engine crash.
[QUOTE=garry;25971913]No, it means that it won't create any more than this, so we won't get the out of edict's engine crash.[/QUOTE] Ah good idea.
That's a like how a limit should be: Prevent crossing by not creating, don't crash the game. :smile:
:awesome:
[QUOTE=Grocel;25972890]That's a like how a limit should be: Prevent crossing by not creating, don't crash the game. :smile:[/QUOTE] Perhaps he could do this with the model precache table.
I've been all over for the user and pass for the svn, and anonsvn or anon doesn't seem to work. Did I miss anything?
This is the private source code svn, the public svn is here [url]https://facepunch.svn.beanstalkapp.com/gmodgame/trunk/[/url]. The public svn uses no authorization to download.
[QUOTE=JonBons;25978687]This is the private source code svn, the public svn is here [url]https://facepunch.svn.beanstalkapp.com/gmodgame/trunk/[/url]. The public svn uses no authorization to download.[/QUOTE] It still asks for username and password, and neither anonsvn or anon works.
just press cancel. For some reason Some browsers like to ask for an password anyway.
[QUOTE=ColdFusion;25978836]just press cancel. For some reason Some browsers like to ask for an password anyway.[/QUOTE] Then I get a 401 Authorization Required error.
[QUOTE=Ayra;25978973]Then I get a 401 Authorization Required error.[/QUOTE] I get the same problem when trying to update the SVN using my normal Internet connection. Tortoise, GMOD svn updater or any web browser asks for username/password. However if I use my VPN connection (VyprVPN from Giganews), it works fine...
Authentication seems to be gone now, but my SVN client still refuses to update. All other SVNs are working fine - it is just the Gmod Beta that will not work.
[url]http://facepunch.svn.beanstalkapp.com/gmodgame/trunk/[/url]
Sorry, you need to Log In to post a reply to this thread.